#ifndef COMMON_H_
#define COMMON_H_

#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <stdio.h>
#include <errno.h>
#include <limits.h>
#include <assert.h>
#include "stb_image.h"
#include "stb_image_write.h"

static void
vcrash (const char *fmt, va_list ap)
{
    fprintf (stderr, "error: ");
    vfprintf (stderr, fmt, ap);
    fprintf (stderr, "\n");
    exit (1);
}

static void
crash (const char *fmt, ...)
{
    va_list ap;
    va_start (ap, fmt);
    vcrash (fmt, ap);
    /* not reached */
}

static void
runtest (const char *srcfile, const char *dstfile)
{
    unsigned char *raster;
    int i, w, h;
    if ((raster = stbi_load (srcfile, &w, &h, NULL, 3)) == NULL)
        crash ("could not load %s: %s", srcfile, stbi_failure_reason ());
    for (i = 0; i < w * h * 3; i++)
        raster[i] = 255 - raster[i];
    if (!stbi_write_png (dstfile, w, h, 3, raster, 0))
        crash ("could not write %s: %s", dstfile, stbi_failure_reason ());
    stbi_image_free (raster);
}

#endif /* COMMON_H_ */
