#!/bin/sh
if [ $# -lt 2 ]; then
  echo "usage: $(basename "$0") INPUTDIR OUTPUTDIR [ARGS]..."
  exit 1
fi
inputdir="$1"
shift
outputdir="$1"
shift
(find "$inputdir" -name '*.bmp'
 find "$inputdir" -name '*.png'
 find "$inputdir" -name '*.jpg') | \
while read infile; do
  outfile_c="$outputdir/$(expr   "$infile" : '.*/\([^\./]*\)\.*')-outc.png"
  outfile_cxx="$outputdir/$(expr "$infile" : '.*/\([^\./]*\)\.*')-outcxx.png"
  "$(dirname "$0")/"testc   "$infile" "$outfile_c"   "$@" && statusc="okay" || statusc="FAIL"
  "$(dirname "$0")/"testcxx "$infile" "$outfile_cxx" "$@" && statuscxx="okay" || statuscxx="FAIL"
  printf '%-70s %s\n' "$(basename "$infile")..." "c: $statusc, cxx: $statuscxx"
done
